{
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "schemes": [
    "http",
    "https"
  ],
  "swagger": "2.0",
  "info": {
    "description": "Description: wechat service",
    "title": "wechat",
    "version": "0.0.1"
  },
  "host": "localhost:19101",
  "basePath": "/",
  "paths": {
    "/init/database": {
      "get": {
        "description": "Initialize database | 初始化数据库",
        "tags": [
          "base"
        ],
        "summary": "Initialize database | 初始化数据库",
        "operationId": "InitDatabase",
        "responses": {
          "200": {
            "description": "BaseMsgResp",
            "schema": {
              "$ref": "#/definitions/BaseMsgResp"
            }
          }
        }
      }
    },
    "/server": {
      "post": {
        "description": "Get server by ID | 通过ID获取Server",
        "tags": [
          "WechatServer"
        ],
        "summary": "Get server by ID | 通过ID获取Server",
        "operationId": "GetServerById",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/IDReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "ServerInfoResp",
            "schema": {
              "$ref": "#/definitions/ServerInfoResp"
            }
          }
        }
      }
    },
    "/server/create": {
      "post": {
        "description": "Create server information | 创建Server",
        "tags": [
          "WechatServer"
        ],
        "summary": "Create server information | 创建Server",
        "operationId": "CreateServer",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/ServerInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "BaseMsgResp",
            "schema": {
              "$ref": "#/definitions/BaseMsgResp"
            }
          }
        }
      }
    },
    "/server/delete": {
      "post": {
        "description": "Delete server information | 删除Server信息",
        "tags": [
          "WechatServer"
        ],
        "summary": "Delete server information | 删除Server信息",
        "operationId": "DeleteServer",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/IDsReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "BaseMsgResp",
            "schema": {
              "$ref": "#/definitions/BaseMsgResp"
            }
          }
        }
      }
    },
    "/server/list": {
      "post": {
        "description": "Get server list | 获取Server列表",
        "tags": [
          "WechatServer"
        ],
        "summary": "Get server list | 获取Server列表",
        "operationId": "GetServerList",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/ServerListReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "ServerListResp",
            "schema": {
              "$ref": "#/definitions/ServerListResp"
            }
          }
        }
      }
    },
    "/server/update": {
      "post": {
        "description": "Update server information | 更新Server",
        "tags": [
          "WechatServer"
        ],
        "summary": "Update server information | 更新Server",
        "operationId": "UpdateServer",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/ServerInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "BaseMsgResp",
            "schema": {
              "$ref": "#/definitions/BaseMsgResp"
            }
          }
        }
      }
    },
    "/wx": {
      "post": {
        "description": "Get wx by ID | 通过ID获取Wx",
        "tags": [
          "Wx"
        ],
        "summary": "Get wx by ID | 通过ID获取Wx",
        "operationId": "GetWxById",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/IDReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "WxInfoResp",
            "schema": {
              "$ref": "#/definitions/WxInfoResp"
            }
          }
        }
      }
    },
    "/wx/create": {
      "post": {
        "description": "Create wx information | 创建Wx",
        "tags": [
          "Wx"
        ],
        "summary": "Create wx information | 创建Wx",
        "operationId": "CreateWx",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/WxInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "BaseMsgResp",
            "schema": {
              "$ref": "#/definitions/BaseMsgResp"
            }
          }
        }
      }
    },
    "/wx/delete": {
      "post": {
        "description": "Delete wx information | 删除Wx信息",
        "tags": [
          "Wx"
        ],
        "summary": "Delete wx information | 删除Wx信息",
        "operationId": "DeleteWx",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/IDsReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "BaseMsgResp",
            "schema": {
              "$ref": "#/definitions/BaseMsgResp"
            }
          }
        }
      }
    },
    "/wx/list": {
      "post": {
        "description": "Get wx list | 获取Wx列表",
        "tags": [
          "Wx"
        ],
        "summary": "Get wx list | 获取Wx列表",
        "operationId": "GetWxList",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/WxListReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "WxListResp",
            "schema": {
              "$ref": "#/definitions/WxListResp"
            }
          }
        }
      }
    },
    "/wx/refreshLoginQR": {
      "post": {
        "description": "Refresh login QR code | 刷新登陆二维码",
        "tags": [
          "Wx"
        ],
        "summary": "Refresh login QR code | 刷新登陆二维码",
        "operationId": "RefreshLoginQR",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/RefreshLoginQRReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "RefreshLoginQRResp",
            "schema": {
              "$ref": "#/definitions/RefreshLoginQRResp"
            }
          }
        }
      }
    },
    "/wx/update": {
      "post": {
        "description": "Update wx information | 更新Wx",
        "tags": [
          "Wx"
        ],
        "summary": "Update wx information | 更新Wx",
        "operationId": "UpdateWx",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/WxInfo"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "BaseMsgResp",
            "schema": {
              "$ref": "#/definitions/BaseMsgResp"
            }
          }
        }
      }
    },
    "/wxhook/refreshLoginQR": {
      "post": {
        "description": "Refresh login QR code | 刷新登陆二维码",
        "tags": [
          "Wxhook"
        ],
        "summary": "Refresh login QR code | 刷新登陆二维码",
        "operationId": "RefreshLoginQR",
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "schema": {
              "type": "object",
              "$ref": "#/definitions/RefreshLoginQRReq"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "RefreshLoginQRResp",
            "schema": {
              "$ref": "#/definitions/RefreshLoginQRResp"
            }
          }
        }
      }
    }
  },
  "definitions": {
    "BaseDataInfo": {
      "description": "The basic response with data | 基础带数据信息",
      "type": "object",
      "properties": {
        "code": {
          "description": "Error code | 错误代码",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Code"
        },
        "data": {
          "description": "Data | 数据",
          "type": "string",
          "x-go-name": "Data"
        },
        "msg": {
          "description": "Message | 提示信息",
          "type": "string",
          "x-go-name": "Msg"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "BaseIDInfo": {
      "description": "The base ID response data | 基础ID信息",
      "type": "object",
      "properties": {
        "createdAt": {
          "description": "Create date | 创建日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "CreatedAt"
        },
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "Id"
        },
        "updatedAt": {
          "description": "Update date | 更新日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "UpdatedAt"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "BaseIDInt32Info": {
      "description": "The base ID response data (int32) | 基础ID信息 (int32)",
      "type": "object",
      "properties": {
        "createdAt": {
          "description": "Create date | 创建日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "CreatedAt"
        },
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "int32",
          "x-go-name": "Id"
        },
        "updatedAt": {
          "description": "Update date | 更新日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "UpdatedAt"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "BaseIDInt64Info": {
      "description": "The base ID response data (int64) | 基础ID信息 (int64)",
      "type": "object",
      "properties": {
        "createdAt": {
          "description": "Create date | 创建日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "CreatedAt"
        },
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Id"
        },
        "updatedAt": {
          "description": "Update date | 更新日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "UpdatedAt"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "BaseIDUint32Info": {
      "description": "The base ID response data (uint32) | 基础ID信息 (uint32)",
      "type": "object",
      "properties": {
        "createdAt": {
          "description": "Create date | 创建日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "CreatedAt"
        },
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "uint32",
          "x-go-name": "Id"
        },
        "updatedAt": {
          "description": "Update date | 更新日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "UpdatedAt"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "BaseListInfo": {
      "description": "The basic response with data | 基础带数据信息",
      "type": "object",
      "properties": {
        "data": {
          "description": "Data | 数据",
          "type": "string",
          "x-go-name": "Data"
        },
        "total": {
          "description": "The total number of data | 数据总数",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "Total"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "BaseMsgResp": {
      "description": "The basic response without data | 基础不带数据信息",
      "type": "object",
      "properties": {
        "code": {
          "description": "Error code | 错误代码",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Code"
        },
        "msg": {
          "description": "Message | 提示信息",
          "type": "string",
          "x-go-name": "Msg"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "BaseUUIDInfo": {
      "description": "The base UUID response data | 基础UUID信息",
      "type": "object",
      "properties": {
        "createdAt": {
          "description": "Create date | 创建日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "CreatedAt"
        },
        "id": {
          "description": "ID",
          "type": "string",
          "x-go-name": "Id"
        },
        "updatedAt": {
          "description": "Update date | 更新日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "UpdatedAt"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDInt32PathReq": {
      "description": "Basic ID request (int32) | 基础ID地址参数请求 (int32)",
      "type": "object",
      "required": [
        "Id"
      ],
      "properties": {
        "Id": {
          "description": "ID",
          "type": "integer",
          "format": "int32"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDInt32Req": {
      "description": "Basic ID request (int32) | 基础ID参数请求 (int32)",
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "int32",
          "x-go-name": "Id"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDInt64PathReq": {
      "description": "Basic ID request (int64) | 基础ID地址参数请求 (int64)",
      "type": "object",
      "required": [
        "Id"
      ],
      "properties": {
        "Id": {
          "description": "ID",
          "type": "integer",
          "format": "int64"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDInt64Req": {
      "description": "Basic ID request (int64) | 基础ID参数请求 (int64)",
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Id"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDPathReq": {
      "description": "Basic ID request | 基础ID地址参数请求",
      "type": "object",
      "required": [
        "Id"
      ],
      "properties": {
        "Id": {
          "description": "ID",
          "type": "integer",
          "format": "uint64"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDReq": {
      "description": "Basic ID request | 基础ID参数请求",
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "Id"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDUint32PathReq": {
      "description": "Basic ID request (uint32) | 基础ID地址参数请求 (uint32)",
      "type": "object",
      "required": [
        "Id"
      ],
      "properties": {
        "Id": {
          "description": "ID",
          "type": "integer",
          "format": "uint32"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDUint32Req": {
      "description": "Basic ID request (uint32) | 基础ID参数请求 (uint32)",
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "uint32",
          "x-go-name": "Id"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDsInt32Req": {
      "description": "Basic IDs request (int32) | 基础ID数组参数请求 (int32)",
      "type": "object",
      "required": [
        "ids"
      ],
      "properties": {
        "ids": {
          "description": "IDs",
          "type": "array",
          "items": {
            "type": "integer",
            "format": "int32"
          },
          "x-go-name": "Ids"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDsInt64Req": {
      "description": "Basic IDs request (int64) | 基础ID数组参数请求 (int64)",
      "type": "object",
      "required": [
        "ids"
      ],
      "properties": {
        "ids": {
          "description": "IDs",
          "type": "array",
          "items": {
            "type": "integer",
            "format": "int64"
          },
          "x-go-name": "Ids"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDsReq": {
      "description": "Basic IDs request | 基础ID数组参数请求",
      "type": "object",
      "required": [
        "ids"
      ],
      "properties": {
        "ids": {
          "description": "IDs",
          "type": "array",
          "items": {
            "type": "integer",
            "format": "uint64"
          },
          "x-go-name": "Ids"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "IDsUint32Req": {
      "description": "Basic IDs request (uint32) | 基础ID数组参数请求 (uint32)",
      "type": "object",
      "required": [
        "ids"
      ],
      "properties": {
        "ids": {
          "description": "IDs",
          "type": "array",
          "items": {
            "type": "integer",
            "format": "uint32"
          },
          "x-go-name": "Ids"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "LoginQRStatus": {
      "type": "object",
      "properties": {
        "qRCode": {
          "description": "登陆二维码",
          "type": "string",
          "x-go-name": "QRCode"
        },
        "status": {
          "description": "登陆二维码状态",
          "type": "string",
          "x-go-name": "Status"
        },
        "statusDesc": {
          "description": "登陆二维码状态描述",
          "type": "string",
          "x-go-name": "StatusDesc"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "PageInfo": {
      "description": "The page request parameters | 列表请求参数",
      "type": "object",
      "required": [
        "page",
        "pageSize"
      ],
      "properties": {
        "page": {
          "description": "Page number | 第几页",
          "type": "integer",
          "format": "uint64",
          "minimum": 0,
          "x-go-name": "Page"
        },
        "pageSize": {
          "description": "Page size | 单页数据行数",
          "type": "integer",
          "format": "uint64",
          "maximum": 100000,
          "x-go-name": "PageSize"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "RefreshLoginQRReq": {
      "description": "刷新登陆二维码请求参数",
      "type": "object",
      "properties": {
        "callback": {
          "description": "回调地址",
          "type": "string",
          "x-go-name": "Callback"
        },
        "port": {
          "description": "端口号",
          "type": "string",
          "x-go-name": "Port"
        },
        "serverId": {
          "description": "服务器id",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "ServerId"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "RefreshLoginQRResp": {
      "description": "刷新登陆二维码返回参数",
      "type": "object",
      "properties": {
        "code": {
          "description": "Error code | 错误代码",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Code"
        },
        "data": {
          "description": "Data | 数据",
          "type": "string",
          "x-go-name": "Data",
          "$ref": "#/definitions/LoginQRStatus"
        },
        "msg": {
          "description": "Message | 提示信息",
          "type": "string",
          "x-go-name": "Msg"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "ServerInfo": {
      "description": "The response data of server information | Server信息",
      "type": "object",
      "properties": {
        "adminPort": {
          "description": "管理端口",
          "type": "string",
          "x-go-name": "AdminPort"
        },
        "createdAt": {
          "description": "Create date | 创建日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "CreatedAt"
        },
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "Id"
        },
        "name": {
          "description": "名称",
          "type": "string",
          "x-go-name": "Name"
        },
        "privateIp": {
          "description": "内网ip",
          "type": "string",
          "x-go-name": "PrivateIp"
        },
        "publicIp": {
          "description": "公网ip",
          "type": "string",
          "x-go-name": "PublicIp"
        },
        "status": {
          "description": "Status 1: normal 2: ban | 状态 1 正常 2 禁用",
          "type": "integer",
          "format": "uint8",
          "x-go-name": "Status"
        },
        "updatedAt": {
          "description": "Update date | 更新日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "UpdatedAt"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "ServerInfoResp": {
      "description": "Server information response | Server信息返回体",
      "type": "object",
      "properties": {
        "code": {
          "description": "Error code | 错误代码",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Code"
        },
        "data": {
          "description": "Data | 数据",
          "type": "string",
          "x-go-name": "Data",
          "$ref": "#/definitions/ServerInfo"
        },
        "msg": {
          "description": "Message | 提示信息",
          "type": "string",
          "x-go-name": "Msg"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "ServerListInfo": {
      "description": "Server list data | Server列表数据",
      "type": "object",
      "properties": {
        "data": {
          "description": "The API list data | Server列表数据",
          "type": "array",
          "items": {
            "$ref": "#/definitions/ServerInfo"
          },
          "x-go-name": "Data"
        },
        "total": {
          "description": "The total number of data | 数据总数",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "Total"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "ServerListReq": {
      "description": "Get server list request params | Server列表请求参数",
      "type": "object",
      "required": [
        "page",
        "pageSize"
      ],
      "properties": {
        "name": {
          "description": "名称",
          "type": "string",
          "x-go-name": "Name"
        },
        "page": {
          "description": "Page number | 第几页",
          "type": "integer",
          "format": "uint64",
          "minimum": 0,
          "x-go-name": "Page"
        },
        "pageSize": {
          "description": "Page size | 单页数据行数",
          "type": "integer",
          "format": "uint64",
          "maximum": 100000,
          "x-go-name": "PageSize"
        },
        "privateIp": {
          "description": "内网ip",
          "type": "string",
          "x-go-name": "PrivateIp"
        },
        "publicIp": {
          "description": "公网ip",
          "type": "string",
          "x-go-name": "PublicIp"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "ServerListResp": {
      "description": "The response data of server list | Server列表数据",
      "type": "object",
      "properties": {
        "code": {
          "description": "Error code | 错误代码",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Code"
        },
        "data": {
          "description": "Data | 数据",
          "type": "string",
          "x-go-name": "Data",
          "$ref": "#/definitions/ServerListInfo"
        },
        "msg": {
          "description": "Message | 提示信息",
          "type": "string",
          "x-go-name": "Msg"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "UUIDPathReq": {
      "description": "Basic UUID request in path | 基础UUID地址参数请求",
      "type": "object",
      "required": [
        "Id"
      ],
      "properties": {
        "Id": {
          "description": "ID",
          "type": "string"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "UUIDReq": {
      "description": "Basic UUID request | 基础UUID参数请求",
      "type": "object",
      "required": [
        "id"
      ],
      "properties": {
        "id": {
          "description": "ID",
          "type": "string",
          "maxLength": 36,
          "minLength": 36,
          "x-go-name": "Id"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "UUIDsReq": {
      "description": "Basic UUID array request | 基础UUID数组参数请求",
      "type": "object",
      "required": [
        "ids"
      ],
      "properties": {
        "ids": {
          "description": "Ids",
          "type": "array",
          "items": {
            "type": "string"
          },
          "x-go-name": "Ids"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "WxInfo": {
      "description": "The response data of wx information | Wx信息",
      "type": "object",
      "properties": {
        "account": {
          "description": "微信账号",
          "type": "string",
          "x-go-name": "Account"
        },
        "callback": {
          "description": "回调地址",
          "type": "string",
          "x-go-name": "Callback"
        },
        "createdAt": {
          "description": "Create date | 创建日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "CreatedAt"
        },
        "headBig": {
          "description": "微信头像",
          "type": "string",
          "x-go-name": "HeadBig"
        },
        "id": {
          "description": "ID",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "Id"
        },
        "nickname": {
          "description": "微信昵称",
          "type": "string",
          "x-go-name": "Nickname"
        },
        "port": {
          "description": "端口号",
          "type": "string",
          "x-go-name": "Port"
        },
        "processId": {
          "description": "进程号",
          "type": "string",
          "x-go-name": "ProcessId"
        },
        "serverId": {
          "description": "服务器id",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "ServerId"
        },
        "status": {
          "description": "Status 1: normal 2: ban | 状态 1 正常 2 禁用",
          "type": "integer",
          "format": "uint8",
          "x-go-name": "Status"
        },
        "tel": {
          "description": "手机号",
          "type": "string",
          "x-go-name": "Tel"
        },
        "updatedAt": {
          "description": "Update date | 更新日期",
          "type": "integer",
          "format": "int64",
          "x-go-name": "UpdatedAt"
        },
        "wxid": {
          "description": "微信id",
          "type": "string",
          "x-go-name": "Wxid"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "WxInfoResp": {
      "description": "Wx information response | Wx信息返回体",
      "type": "object",
      "properties": {
        "code": {
          "description": "Error code | 错误代码",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Code"
        },
        "data": {
          "description": "Data | 数据",
          "type": "string",
          "x-go-name": "Data",
          "$ref": "#/definitions/WxInfo"
        },
        "msg": {
          "description": "Message | 提示信息",
          "type": "string",
          "x-go-name": "Msg"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "WxListInfo": {
      "description": "Wx list data | Wx列表数据",
      "type": "object",
      "properties": {
        "data": {
          "description": "The API list data | Wx列表数据",
          "type": "array",
          "items": {
            "$ref": "#/definitions/WxInfo"
          },
          "x-go-name": "Data"
        },
        "total": {
          "description": "The total number of data | 数据总数",
          "type": "integer",
          "format": "uint64",
          "x-go-name": "Total"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "WxListReq": {
      "description": "Get wx list request params | Wx列表请求参数",
      "type": "object",
      "required": [
        "page",
        "pageSize"
      ],
      "properties": {
        "callback": {
          "description": "回调地址",
          "type": "string",
          "x-go-name": "Callback"
        },
        "page": {
          "description": "Page number | 第几页",
          "type": "integer",
          "format": "uint64",
          "minimum": 0,
          "x-go-name": "Page"
        },
        "pageSize": {
          "description": "Page size | 单页数据行数",
          "type": "integer",
          "format": "uint64",
          "maximum": 100000,
          "x-go-name": "PageSize"
        },
        "port": {
          "description": "端口号",
          "type": "string",
          "x-go-name": "Port"
        },
        "processId": {
          "description": "进程号",
          "type": "string",
          "x-go-name": "ProcessId"
        }
      },
      "x-go-package": "wechat/internal/types"
    },
    "WxListResp": {
      "description": "The response data of wx list | Wx列表数据",
      "type": "object",
      "properties": {
        "code": {
          "description": "Error code | 错误代码",
          "type": "integer",
          "format": "int64",
          "x-go-name": "Code"
        },
        "data": {
          "description": "Data | 数据",
          "type": "string",
          "x-go-name": "Data",
          "$ref": "#/definitions/WxListInfo"
        },
        "msg": {
          "description": "Message | 提示信息",
          "type": "string",
          "x-go-name": "Msg"
        }
      },
      "x-go-package": "wechat/internal/types"
    }
  },
  "securityDefinitions": {
    "Token": {
      "type": "apiKey",
      "name": "Authorization",
      "in": "header"
    }
  },
  "security": [
    {
      "Token": [
        "[]"
      ]
    }
  ]
}